Bug 508372 - Providing an empty profile name during registration causes an ISE
Providing an empty profile name during registration causes an ISE
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Registration (Show other bugs)
rhn511
All Linux
low Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Red Hat Network Quality Assurance
us=111263
:
Depends On:
Blocks: 510541
  Show dependency treegraph
 
Reported: 2009-06-26 15:14 EDT by James Bowes
Modified: 2013-01-10 05:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-10 09:02:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2009-06-26 15:14:12 EDT
If you set your profile name to empty in rhn_register, then during the registration phase when RHN is creating your server entry in the db, an ISE will occur.
Comment 1 Denise Hughes 2009-07-13 11:29:16 EDT
Verified in webdev.

Steps to Recreate:

1. Ssh to root@rhnxml.back-webdev.redhat.com
2. Tail the logs at /var/log/httpd/error_log
3. Ssh to a machine (ie. fjs-0-08.rhndev.redhat.com)
4. Run rhn_register
5. Make the profile name field blank
6. Complete the registration

Result:
For rhel 5, registration completes successfully and the system is displayed under recently registered systems with the system name "Unknown".  No ISE error is displayed in the error_log file.
For rhel 4, error class code 21 is displayed.  Registration does not complete successfully.  The system is not displayed under recently registered systems.  No ISE error is displayed in the error_log file.

Notes:
A new bug/user story will be created to make rhel 5 consistent with rhel 4 (error class code 21).
Comment 2 Denise Hughes 2009-07-29 13:40:13 EDT
Verified in webqa.

Note You need to log in before you can comment on or make changes to this bug.